---
- name: Connection test for realz
  hosts: all
  gather_facts: false
  tasks:
    - name: Wait 60 seconds
      wait_for_connection:
        timeout: 60

- name: Prepare Python
  hosts: all
  become: true
  gather_facts: false
  tasks:
    - name: Install python for Ansible
      raw: test -e /usr/bin/python || (apt -y update && apt install -y python3-zipstream python3-pip)
      become: true
      changed_when: false

- name: Prepare Docker
  hosts: all
  become: true
  gather_facts: true
  tasks:
    - block:
        - name: Install docker repository
          shell: |
            curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg
            echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu \
              $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null

        - name: Install docker CentOS
          apt:
            name: "{{ item }}"
            state: present
            update_cache: true
          loop:
            - docker-ce
            - docker-ce-cli
            - containerd.io

    - name: Ensure docker is enabled and started
      service:
        name: docker
        state: started
        enabled: true
